create TABLE MODULE_DESCRIPTION_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar(250),
     ACTIVE			varchar(1),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE VERSION_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar(250),
     ACTIVE			varchar(1),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE PRIVILAGE_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar(250),     
     ACTIVE			varchar(1),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE PRIORITY_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar(250),     
     ACTIVE			varchar(1),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE STATUS_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar(250),     
     ACTIVE			varchar(1),
     STATUS_DT_FLAG 		varchar(1),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE USERS (
     ID				integer PRIMARY KEY,
     USER_NAME       		varchar(50),
     PASSWORD		       	varchar(50),
     EMAIL		       	varchar(100),
     FIRST_NAME 		varchar(100),
     LAST_NAME 			varchar(100),
     PHONE_NUMBER 		varchar(15),
     ACTIVE			varchar(1),
     PRIVILAGE_ID       	integer NOT NULL REFERENCES PRIVILAGE_LU (ID),     
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE ISSUES (
     ID				integer PRIMARY KEY ,
     SUBJECT       		varchar(1000),     
     USER_ID       		integer NOT NULL REFERENCES USERS (ID),
     DUE_DT			date,
     ASSIGNED_ID		integer,
     RECORD_CREATE_DT  		date,
     RECORD_UPDATE_DT  		date,
     DELETE_IND			varchar(1),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE ISSUE_HISTORY (
     ID				integer NOT NULL,
     RECORD_COUNT      		integer NOT NULL,
     ORI_ISSUE_ID	       	integer NOT NULL REFERENCES ISSUES (ID),
     USER_ID       		integer NOT NULL REFERENCES USERS (ID),
     STATUS_ID		       	integer NOT NULL REFERENCES STATUS_LU (ID),
     CURRENT_STATUS_ID		integer NOT NULL REFERENCES STATUS_LU (ID),
     DESCRIPTION		clob,     
     PRIORITY_ID		integer,
     MODULE_ID       		integer,
     VERSION_ID       		integer,
     ISSUE_TYPE_ID		integer,
     COMPLEXITY_ID		integer,
     RECORD_CREATE_DT  		date,
     RECORD_UPDATE_DT  		date,
     DELETE_IND			varchar(1),     
     HIST_IND			varchar(1) NOT NULL,
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL,  
     PRIMARY KEY (ID, RECORD_COUNT)
);

create TABLE ATTACHMENT (
     ID				integer PRIMARY KEY,
     ISSUE_ID       		integer,
     ATTACHMENT_NAME       	varchar(1000),
     ATTACHMENT       		blob,
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL 	    
);

create TABLE ASSIGN (
     ID				integer PRIMARY KEY,
     USER_ID       		integer NOT NULL REFERENCES USERS (ID),
     ORI_ISSUE_ID         	integer NOT NULL REFERENCES ISSUES (ID),
     HISTORY_ISSUE_ID   	integer NOT NULL,
     HISTORY_RECORD_COUNT	integer NOT NULL,
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE VALID_STATUS (
     ID				integer PRIMARY KEY,
     STATUS_ID       		integer NOT NULL REFERENCES STATUS_LU (ID),
     VALID_STATUS_ID		integer,
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE CLOSING_REASON_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar(250),
     ACTIVE			varchar(1),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE ISSUE_CLOSED_REF	(
     ID				integer PRIMARY KEY,
     ORI_ISSUE_ID         	integer NOT NULL REFERENCES ISSUES (ID),
     ISSUE_HISTORY_ID       	integer NOT NULL,
     HISTORY_RECORD_COUNT	integer NOT NULL,
     CLOSING_REASON_ID		integer NOT NULL REFERENCES CLOSING_REASON_LU (ID),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE ISSUE_TYPE_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar(250),     
     ACTIVE			varchar(1),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE COMPLEXITY_LU (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar(250),     
     ACTIVE			varchar(1),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE PREFERENCE (
     ID				integer PRIMARY KEY,
     USER_ID       		integer NOT NULL REFERENCES USERS (ID),     
     USER_EMAIL_FLAG		varchar(1),
     NUMBER_OF_RECORDS		integer,     
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE SEARCH (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar(250),     
     ACCESS_TYPE		varchar(1),
     QUERY			varchar(4000),
     USER_ID       		integer NOT NULL REFERENCES USERS (ID),
     CRITERIA			varchar(4000),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE REPORT (
     ID				integer PRIMARY KEY,
     REPORT_SUMMARY_TYPE       	varchar(250),     
     REPORT_SUMMARY_VALUE       varchar(1000),     
     CRITERIA			varchar(4000),
     QUERY			varchar(4000),     
     REPORT_NAME       		varchar(250),          
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE REPORT_FIELDS_LU (
     ID				integer PRIMARY KEY,     
     DESCRIPTION		varchar(100),     
     FIELD_WIDTH		integer,     
     COLUMN_NAME		varchar(100),
     DATE_FIELD			varchar(1),
     ACTIVE			varchar(1),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE REPORT_FIELDS (
     ID				integer PRIMARY KEY,
     REPORT_ID       		integer NOT NULL REFERENCES REPORT (ID),          
     REPORT_FIELDS_LU_ID       	integer NOT NULL REFERENCES REPORT_FIELDS_LU (ID),          
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE REPORT_SUMMARY_LU (
     ID				integer PRIMARY KEY,     
     DESCRIPTION		varchar(100),     
     ACTIVE			varchar(1),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE PROPERTIES (
     ID				integer PRIMARY KEY,
     DESCRIPTION       		varchar(250),     
     NAME       		varchar(250),     
     VALUE       		varchar(250),     
     ACTIVE			varchar(1),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE TRACKING (
     ID				integer PRIMARY KEY ,
     ISSUE_ID			integer not null REFERENCES ISSUES (ID),
     USER_ID			integer not null REFERENCES USERS (ID)
);

create TABLE ISSUE_LINK (
     ID				integer PRIMARY KEY ,
     ISSUE_ID			integer not null REFERENCES ISSUES (ID),
     LINKED_ISSUE_ID		integer not null REFERENCES ISSUES (ID)
);

create TABLE RELEASE_DETAIL (
     ID				integer PRIMARY KEY ,
     ISSUE_ID			integer not null REFERENCES ISSUES (ID),
     RELEASE_DATE		date,
     RELEASE_VERSION		varchar(100)
);

create TABLE LOCK_DETAIL (
     ID				integer PRIMARY KEY ,
     LOCK_ID			integer,
     LOCK_NAME			varchar(50),
     USER_ID			integer
);

create TABLE CUSTOM_FIELDS (
     ID				integer PRIMARY KEY,
     CUSTOM_FIELD_ID		varchar(100),
     FIELD_DISPLAY_NAME 	varchar(250),
     ACTIVE			varchar(1),
     FIELD_SIZE			integer,
     TYPE			varchar(1),
     OPTIONS			varchar(1000),
     CREATE_ID        		varchar(50) NOT NULL,
     CREATE_DT         		date NOT NULL,
     UPDATE_ID        		varchar(50) NOT NULL,
     UPDATE_DT         		date NOT NULL    
);

create TABLE CUSTOM_ISSUE (
     ID				integer PRIMARY KEY,
     ISSUE_ID			integer NOT NULL REFERENCES ISSUES (ID),
     CUSTOM_FIELDS_ID		integer NOT NULL REFERENCES CUSTOM_FIELDS (ID),
     VALUE			varchar(4000)
);

create table ASSIGN_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table ATTACHMENT_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table CLOSING_REASON_LU_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table COMPLEXITY_LU_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table ISSUES_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table ISSUE_CLOSED_REF_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table ISSUE_HISTORY_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table ISSUE_TYPE_LU_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table ISSUE_LINK_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table LOCK_DETAIL_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table MODULE_DESCRIPTION_LU_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table PREFERENCE_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table PRIORITY_LU_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table PRIVILAGE_LU_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table RELEASE_DETAIL_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table REPORT_FIELDS_LU_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table REPORT_FIELDS_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table REPORT_SUMMARY_LU_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table REPORT_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table SEARCH_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table STATUS_LU_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table TRACKING_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table USERS_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table VALID_STATUS_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table VERSION_LU_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table CUSTOM_FIELDS_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;
create table CUSTOM_ISSUE_SEQ(value INTEGER PRIMARY KEY) type=MYISAM;